المنتجات · نشر الإصدار
أُوقفت هذه العملية وتعيد 409 دون تغيير البيانات. اضبط الوصول لكل ملف رقمي على حدة من خلال اختيار المستلمين.
POST
/api/v1/products/{product_id}/file-releases/{release_id}/publishطلب cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request POST \
--url https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001/publish \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-publish_release_api_v1_products__product_id__file_releases__release_id__publish_post' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1}'
الاستجابة
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}
الصلاحيات المطلوبة
- المصادقة
- رمز الوصول
- متاح بدءًا من
- STANDARD
- صلاحية المفتاح
- إدارة ملفات المنتج · منتجات رقمية
catalog.product_file:write_digital